FileVisitResult (Java Platform SE 8 )
Keywords: java.nio.file.FileVisitResult class
Date: 2016-07-28

compact1, compact2, compact3
java.nio.file

## Enum FileVisitResult

- java.lang.Object
- - java.lang.Enum<FileVisitResult>
  - - java.nio.file.FileVisitResult

- All Implemented Interfaces:
    Serializable, Comparable<FileVisitResult>

      public enum FileVisitResult
      extends Enum<FileVisitResult>

  The result type of a `FileVisitor`.
  Since:
    1.7
  See Also:
    `Files.walkFileTree(java.nio.file.Path, java.util.Set<java.nio.file.FileVisitOption>, int, java.nio.file.FileVisitor<? super java.nio.file.Path>)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTINUE` Continue.
    `SKIP_SIBLINGS` Continue without visiting the siblings of this file or directory.
    `SKIP_SUBTREE` Continue without visiting the entries in this directory.
    `TERMINATE` Terminate.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FileVisitResult` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FileVisitResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONTINUE

          public static final FileVisitResult CONTINUE

      Continue. When returned from a `preVisitDirectory` method then the entries in the directory should also be visited.

    - #### TERMINATE

          public static final FileVisitResult TERMINATE

      Terminate.

    - #### SKIP_SUBTREE

          public static final FileVisitResult SKIP_SUBTREE

      Continue without visiting the entries in this directory. This result is only meaningful when returned from the `preVisitDirectory` method; otherwise this result type is the same as returning `CONTINUE`.

    - #### SKIP_SIBLINGS

          public static final FileVisitResult SKIP_SIBLINGS

      Continue without visiting the siblings of this file or directory. If returned from the `preVisitDirectory` method then the entries in the directory are also skipped and the `postVisitDirectory` method is not invoked.

  - ### Method Detail

    - #### values

          public static FileVisitResult[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FileVisitResult c : FileVisitResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FileVisitResult valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.